
Name: app-dynamic-dns
Group: ClearOS/Apps
Version: 6.1.0.beta2
Release: 1%{dist}
Summary: Dynamic DNS
License: Proprietary
Packager: ClearCenter
Vendor: ClearCenter
Source: %{name}-%{version}.tar.gz
Buildarch: noarch
Requires: %{name}-core = %{version}-%{release}
Requires: app-base
Requires: app-network

%description
Dynamic DNS is an app that works with ClearCenter's Service Delivery Network (SDN) to continually update a system's IP address to a static hostname (for example, myname.poweredbyclear.com).  The service provides an easily remembered and constantly updated hostname to access your system remotely.

%package core
Summary: Dynamic DNS - APIs and install
Group: ClearOS/Libraries
License: Proprietary
Requires: app-base-core
Requires: app-clearcenter-core

%description core
Dynamic DNS is an app that works with ClearCenter's Service Delivery Network (SDN) to continually update a system's IP address to a static hostname (for example, myname.poweredbyclear.com).  The service provides an easily remembered and constantly updated hostname to access your system remotely.

This package provides the core API and libraries.

%prep
%setup -q
%build

%install
mkdir -p -m 755 %{buildroot}/usr/clearos/apps/dynamic_dns
cp -r * %{buildroot}/usr/clearos/apps/dynamic_dns/


%post
logger -p local6.notice -t installer 'app-dynamic-dns - installing'

%post core
logger -p local6.notice -t installer 'app-dynamic-dns-core - installing'

if [ $1 -eq 1 ]; then
    [ -x /usr/clearos/apps/dynamic_dns/deploy/install ] && /usr/clearos/apps/dynamic_dns/deploy/install
fi

[ -x /usr/clearos/apps/dynamic_dns/deploy/upgrade ] && /usr/clearos/apps/dynamic_dns/deploy/upgrade

exit 0

%preun
if [ $1 -eq 0 ]; then
    logger -p local6.notice -t installer 'app-dynamic-dns - uninstalling'
fi

%preun core
if [ $1 -eq 0 ]; then
    logger -p local6.notice -t installer 'app-dynamic-dns-core - uninstalling'
    [ -x /usr/clearos/apps/dynamic_dns/deploy/uninstall ] && /usr/clearos/apps/dynamic_dns/deploy/uninstall
fi

exit 0

%files
%defattr(-,root,root)
/usr/clearos/apps/dynamic_dns/controllers
/usr/clearos/apps/dynamic_dns/htdocs
/usr/clearos/apps/dynamic_dns/views

%files core
%defattr(-,root,root)
%exclude /usr/clearos/apps/dynamic_dns/packaging
%exclude /usr/clearos/apps/dynamic_dns/tests
%dir /usr/clearos/apps/dynamic_dns
/usr/clearos/apps/dynamic_dns/deploy
/usr/clearos/apps/dynamic_dns/language
/usr/clearos/apps/dynamic_dns/libraries
